import { PipelinesClient } from '@jfrog-pipelines/internal-clients';
import { StepletAttributes } from '@jfrog-pipelines/types';
import { AmqpPublisher } from '@jfrog-pipelines/amqp-client';
import { WaitingGroup } from './modules';
export declare class BuildMinutesQuota {
    private readonly logger;
    process(waitingGroups: WaitingGroup[], processingGroups: WaitingGroup[], incompleteSteplets: StepletAttributes[], client: PipelinesClient, publisher: AmqpPublisher): Promise<boolean>;
    private fetchFreeTierUsage;
    private cancelFurtherRuns;
    private postStepletCancellationMessages;
    private postStepCancelledConsoles;
    private createMessage;
    private postMessageToLogWorker;
    private cancelIncompleteRuns;
}
