import { NodePoolAttributes } from '@jfrog-pipelines/types';
export declare type CheckExecutionCapacityResponse = {
    availableNodePools: NodePoolAttributes[];
    allNodePools: NodePoolAttributes[];
    hasRemainingCapacity: boolean;
};
export declare class CheckExecutionCapacity {
    private hasRemainingCapacity;
    private nodePools;
    private nodes;
    private nodePoolsGroupedByIsOnDemand;
    private dynamicNodePools;
    private staticNodePools;
    private readonly availableNodePools;
    private nodesByNodePoolId;
    private readonly nodePoolAcl;
    private readonly logger;
    constructor();
    checkCapacity(): Promise<CheckExecutionCapacityResponse>;
    private checkLicenseCapacity;
    private getNodePools;
    private getNodes;
    private generateQueryToGetNodes;
    private filterAvailableNodePools;
    private filterAvailableStaticNodePools;
    private getStaticNodesByNodePoolId;
    private getSuccessNodes;
    private getFailureNodes;
    private pushAvailableStaticNodes;
    private filterAvailableDynamicNodePools;
    private getDynamicNodesByNodePoolId;
    private pushAvailableDynamicNodes;
}
