import { NodePoolAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { WaitingGroup } from '../modules';
declare type StepletsByStepId = {
    [key: number]: StepletAttributes[];
};
export declare class QueueStepsToJobNodePool {
    private readonly logger;
    checkEligibilityForQueuingToJobNodePool(nodePool: NodePoolAttributes): Promise<boolean>;
    executeStepsUsingJobNodePool(waitingGroup: WaitingGroup, stepletsByStepId: StepletsByStepId): void;
    private getProjectIntegration;
    private checkIfNodePoolIsKubernetes;
    private checkIfExecutionTypeJob;
    private isJobExecutionTypeTag;
    private getExecutableSteps;
    private queueToJobNodePool;
    private getMessagePayload;
}
export {};
