"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DagVo = void 0;
class DagVo {
    constructor(dagRecord) {
        this.dagRecord = dagRecord;
    }
    getStepId() {
        return this.dagRecord.stepId;
    }
    getStepletId() {
        return this.dagRecord.stepletId;
    }
    getRunId() {
        return this.dagRecord.runId;
    }
    getDependentEntityType() {
        return this.dagRecord.dependentEntityType ?? -1;
    }
    getPipelineId() {
        return this.dagRecord.pipelineId;
    }
    getProjectId() {
        return this.dagRecord.projectId;
    }
}
exports.DagVo = DagVo;
//# sourceMappingURL=DagVo.js.map