import { NodePoolVo } from './NodePoolVo';
import { NodeVo } from './NodeVo';
import { ProjectVo } from './ProjectVo';
export declare class NodePoolRepository {
    private readonly nodePoolDao;
    private readonly nodeDao;
    private readonly projectDao;
    constructor();
    getNodePools(): Promise<NodePoolVo[]>;
    getNodes(): Promise<NodeVo[]>;
    getProjects(): Promise<ProjectVo[]>;
}
