"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeVo = void 0;
class NodeVo {
    constructor(node) {
        this.id = node.id;
        this.nodePoolId = node.nodePoolId;
        this.friendlyName = node.friendlyName;
        this.stepId = node.stepId;
        this.stopRequested = node.stopRequested;
        this.isOnDemand = node.isOnDemand;
        this.projectId = node.projectId;
    }
    getId() {
        return this.id;
    }
    getNodePoolId() {
        return this.nodePoolId;
    }
    getFriendlyName() {
        return this.friendlyName;
    }
    getStepId() {
        return this.stepId;
    }
    IsStopRequested() {
        return this.stopRequested;
    }
    isStatic() {
        return !this.isOnDemand;
    }
    getProjectId() {
        return this.projectId;
    }
    isOrphan() {
        if (this.nodePoolId) {
            return false;
        }
        return true;
    }
}
exports.NodeVo = NodeVo;
//# sourceMappingURL=NodeVo.js.map