import { DagCollection } from '../Dag/DagCollection';
import { NodePoolCollection } from '../NodePool/NodePoolCollection';
import { StepVo } from '../Dag/StepVo';
export declare class StepAffinityCollection {
    private readonly dagCollection;
    private readonly nodePoolCollection;
    constructor(dagCollection: DagCollection, nodePoolCollection: NodePoolCollection);
    isApproval(): unknown;
    isExternal(): unknown;
    isStatic(): unknown;
    isDynamic(): unknown;
    isJob(): unknown;
    getApprovalSteps(): StepVo[];
    private getAffinityGroups;
    private getDagUnfinishedRecordByRunId;
}
