"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepAffinityCollection = void 0;
const utility_1 = require("@jfrog-pipelines/utility");
class StepAffinityCollection {
    constructor(dagCollection, nodePoolCollection) {
        this.dagCollection = dagCollection;
        this.nodePoolCollection = nodePoolCollection;
        console.log(this.nodePoolCollection);
        console.log(this.getAffinityGroups(1));
    }
    isApproval() {
        throw new Error('Method not implemented.');
    }
    isExternal() {
        throw new Error('Method not implemented.');
    }
    isStatic() {
        throw new Error('Method not implemented.');
    }
    isDynamic() {
        throw new Error('Method not implemented.');
    }
    isJob() {
        throw new Error('Method not implemented.');
    }
    getApprovalSteps() {
        return [];
    }
    getAffinityGroups(runId) {
        const dagUnfinishedRecordsByRunId = this.getDagUnfinishedRecordByRunId(runId);
        const listByAffinityGroup = (0, utility_1.groupBy)(dagUnfinishedRecordsByRunId, 'affinityGroup');
        const affinityGroups = (0, utility_1.keys)(listByAffinityGroup);
        return affinityGroups;
    }
    getDagUnfinishedRecordByRunId(runId) {
        const dagUnfinishedRecords = this.dagCollection.getDagUnifinishedRecords();
        return dagUnfinishedRecords[runId];
    }
}
exports.StepAffinityCollection = StepAffinityCollection;
//# sourceMappingURL=StepAffinityCollection.js.map