"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepAffinityCollectionFactory = void 0;
const StepAffinityPriorityQueue_1 = require("./StepAffinityPriorityQueue");
const StepAffinityCollection_1 = require("./StepAffinityCollection");
class StepAffinityCollectionFactory {
    static create(nodePoolCollection, dagCollection) {
        const stepAffinityCollection = new StepAffinityCollection_1.StepAffinityCollection(dagCollection, nodePoolCollection);
        return new StepAffinityPriorityQueue_1.StepAffinityPriorityQueue(stepAffinityCollection);
    }
}
exports.StepAffinityCollectionFactory = StepAffinityCollectionFactory;
//# sourceMappingURL=StepAffinityCollectionFactory.js.map