"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepVo = void 0;
class StepVo {
    constructor(id, configPropertyBag, affinityGroup, steplets) {
        this.id = id;
        this.configPropertyBag = configPropertyBag;
        this.affinityGroup = affinityGroup;
        this.steplets = steplets;
    }
    getId() {
        return this.id;
    }
    getConfigPropertyBag() {
        return this.configPropertyBag;
    }
    getAffinityGroup() {
        return this.affinityGroup;
    }
    getStepletsInProgress() {
        const stepletsInProgress = [];
        this.steplets.map((steplet) => {
            if (steplet.isInProgress()) {
                stepletsInProgress.push(steplet);
            }
        });
        return stepletsInProgress;
    }
}
exports.StepVo = StepVo;
//# sourceMappingURL=StepVo.js.map