"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandFactory = void 0;
const JobSchedularCommand_1 = require("../driving/command/JobSchedularCommand");
const JobSchedularHandler_1 = require("../feature/JobSchedularHandler");
class CommandFactory {
    static getCommand() {
        return new JobSchedularCommand_1.JobSchedularCommand();
    }
    static getHandler() {
        return new JobSchedularHandler_1.JobSchedularHandler();
    }
}
exports.CommandFactory = CommandFactory;
//# sourceMappingURL=CommandFactory.js.map