import { WaitingGroup } from '../modules';
export declare class QueueExternalSteps {
    readonly jfrogPipelinesSessionId: string;
    private readonly apiToken;
    waitingGroups: WaitingGroup[];
    private readonly logger;
    private readonly sessionId;
    private readonly systemInstanceId;
    constructor(groups: WaitingGroup[], jfrogPipelinesSessionId: string, apiToken: string);
    queueExternalSteps(): Promise<void>;
    private queueExternalStepsWorker;
    private obtainExternalStepsLock;
    private getWaitingExternalSteps;
    private setExternalStepsReadyAt;
    private tryAndQueueExternalSteps;
    private getWaitingExternalGroupsByProjectId;
    private processExternalSteps;
    private releaseLock;
}
