"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiIntegrationDataAdapter = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const configuration_1 = require("@jfrog-pipelines/configuration");
class ApiIntegrationDataAdapter {
    constructor() {
        this.properties = configuration_1.ConfigFactory.config;
        this.client = new internal_clients_1.PipelinesClient(12, this.properties.apiToken);
    }
    async getProjectsByQuery(query = '') {
        return this.client.getProjects(query);
    }
    async getProjectIntegrationsById(projectId) {
        return this.client.projectIntegration(projectId);
    }
}
exports.ApiIntegrationDataAdapter = ApiIntegrationDataAdapter;
//# sourceMappingURL=ApiIntegrationDataAdapter.js.map