"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntegrationDataAdapterFactory = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const ApiIntegrationDataAdapter_1 = require("./ApiIntegrationDataAdapter");
class IntegrationDataAdapterFactory {
    static create(type = microservice_1.AclAdapterDi.api) {
        if (type === microservice_1.AclAdapterDi.api) {
            return new ApiIntegrationDataAdapter_1.ApiIntegrationDataAdapter();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.IntegrationDataAdapterFactory = IntegrationDataAdapterFactory;
//# sourceMappingURL=IntegrationDataAdapterFactory.js.map