import { ExecutionNodes, NodeAttributes, NodePoolAttributes } from '@jfrog-pipelines/types';
import { NodePoolDataAdapter } from './NodePoolDataAdapter';
export declare class ApiNodePoolDataAdapter implements NodePoolDataAdapter {
    private readonly client;
    private readonly properties;
    constructor();
    getNodePoolsByQuery(query?: string): Promise<NodePoolAttributes[]>;
    getNodesByQuery(query?: string): Promise<NodeAttributes[]>;
    getBuildPlaneMessagesCountByQuery(query?: string): Promise<number>;
    getExecutionNodes(): Promise<ExecutionNodes>;
}
