import { ExecutionNodes, NodeAttributes, NodePoolAttributes } from '@jfrog-pipelines/types';
export interface NodePoolDataAdapter {
    getNodePoolsByQuery(query?: string): Promise<NodePoolAttributes[]>;
    getNodesByQuery(query?: string): Promise<NodeAttributes[]>;
    getBuildPlaneMessagesCountByQuery(query?: string): Promise<number>;
    getExecutionNodes(query?: string): Promise<ExecutionNodes>;
}
