"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePoolDataAdapterFactory = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const ApiNodePoolDataAdapter_1 = require("./ApiNodePoolDataAdapter");
class NodePoolDataAdapterFactory {
    static create(type = microservice_1.AclAdapterDi.api) {
        if (type === microservice_1.AclAdapterDi.api) {
            return new ApiNodePoolDataAdapter_1.ApiNodePoolDataAdapter();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.NodePoolDataAdapterFactory = NodePoolDataAdapterFactory;
//# sourceMappingURL=NodePoolDataAdapterFactory.js.map