"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiSyncDataAdapter = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const configuration_1 = require("@jfrog-pipelines/configuration");
class ApiSyncDataAdapter {
    constructor() {
        this.properties = configuration_1.ConfigFactory.config;
        this.client = new internal_clients_1.PipelinesClient(12, this.properties.apiToken);
    }
    async getPipelineSourcesByQuery(query = '') {
        return this.client.getPipelineSources(query);
    }
}
exports.ApiSyncDataAdapter = ApiSyncDataAdapter;
//# sourceMappingURL=ApiSyncDataAdapter.js.map