"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyncDataAdapterFactory = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const ApiSyncDataAdapter_1 = require("./ApiSyncDataAdapter");
class SyncDataAdapterFactory {
    static create(type = microservice_1.AclAdapterDi.api) {
        if (type === microservice_1.AclAdapterDi.api) {
            return new ApiSyncDataAdapter_1.ApiSyncDataAdapter();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.SyncDataAdapterFactory = SyncDataAdapterFactory;
//# sourceMappingURL=SyncDataAdapterFactory.js.map