"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DagCollection = void 0;
class DagCollection {
    constructor(dagUnfinishedRecords, steps) {
        this.dagUnfinishedRecords = dagUnfinishedRecords;
        this.steps = steps;
    }
    getSteps() {
        return this.steps;
    }
    getDagUnifinishedRecords() {
        return this.dagUnfinishedRecords;
    }
    getRunIds(dagUnfinishedRecords) {
        const runIds = [];
        for (const record of dagUnfinishedRecords) {
            const runId = record.getRunId();
            runIds.push(runId);
        }
        return runIds;
    }
}
exports.DagCollection = DagCollection;
//# sourceMappingURL=DagCollection.js.map