import { RunAdjacencyAttributes } from '@jfrog-pipelines/types';
export declare class DagCollectionFilter {
    static filter(dagRecords: RunAdjacencyAttributes[]): Promise<RunAdjacencyAttributes[]>;
    private static filterListByDependencyMode;
    private static filterByChronologicalFlag;
    private static populateDependencyPipelines;
    private static filterByChronologicalRun;
    private static getIncompleteRunsByPipelineIds;
    private static getFilteredListForChronologicalRun;
    private static filterByChronologicalStep;
    private static getRejectableConditionForChronologicalStep;
    private static computeRejectableEntitiesForChronologicalStep;
    private static getIncompleteStepsByStepIds;
    private static checkAndFilterRunAdjacencies;
    private static removeRunAdjacencies;
    private static checkForParentSuccess;
    private static getPipelinesWaitingForDependencyMode;
    private static filterUnresolvedDependencyModePipelines;
}
