import { NodePoolVo } from './NodePoolVo';
export declare class NodePoolCollection {
    private readonly nodePools;
    constructor(nodePools: NodePoolVo[]);
    getNodePools(): NodePoolVo[];
    getStaticNodePools(): NodePoolVo[];
    getNodePoolsByProjectId(): Map<number, NodePoolVo[]>;
    getDefaultNodePoolByProjectId(projectId: number): Promise<NodePoolVo>;
    getNodePoolByNodePoolId(nodePoolId: number): NodePoolVo;
}
