import { NodePoolAttributes } from '@jfrog-pipelines/types';
import { NodeVo } from './NodeVo';
declare type CustomTag = {
    Key: string;
    Value: string;
};
export declare class NodePoolVo {
    private nodes;
    private readonly id;
    private readonly isOnDemand;
    private readonly projectId;
    private readonly customTags;
    private readonly instanceSize;
    private readonly name;
    private readonly environments;
    private readonly numberOfNodes;
    private readonly projectIntegrationId;
    private readonly isCacheEnabled;
    constructor(nodePool: NodePoolAttributes);
    getId(): number;
    getNodes(): NodeVo[];
    getName(): string;
    setNodes(nodeVoList: NodeVo[]): void;
    isStatic(): boolean;
    getProjectId(): number;
    getCustomTags(): CustomTag;
    getInstanceSize(): unknown;
    getEnvironments(): string[];
    getNumberOfNodes(): number;
    getProjectIntegrationId(): number;
    ifCacheIsEnabled(): boolean;
}
export {};
