import { NodeAttributes } from '@jfrog-pipelines/types';
export declare class NodeVo {
    private readonly id;
    private readonly nodePoolId;
    private readonly friendlyName;
    private readonly stepId;
    private readonly stopRequested;
    private readonly isOnDemand;
    private readonly projectId;
    constructor(node: NodeAttributes);
    getId(): number;
    getNodePoolId(): number;
    getFriendlyName(): string;
    getStepId(): number;
    IsStopRequested(): boolean;
    isStatic(): boolean;
    getProjectId(): number;
    isOrphan(): boolean;
}
