"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobSchedularHandler = void 0;
const node_util_1 = require("node:util");
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const microWorker = require('../microWorker');
class JobSchedularHandler {
    async handle() {
        const accessClient = internal_clients_1.AccessClientFactory.getClient();
        const { rawClient, context } = accessClient.getRawClientAndContext();
        global.accessClient = rawClient;
        global.accessClientContext = context;
        const workerPromisify = (0, node_util_1.promisify)(microWorker).bind(microWorker);
        await workerPromisify();
    }
}
exports.JobSchedularHandler = JobSchedularHandler;
//# sourceMappingURL=JobSchedularHandler.js.map